%define texmf     %{_datadir}/texmf
%define tdsname   armtex
%define fontpath  public/armtex

Name:           tetex-armtex
Version:        2.0
Release:        1
Epoch:          0
Summary:        Support for typesetting Armenian with TeX and LaTeX

Group:          Applications/Publishing
License:        Freeware
URL:            http://www.ctan.org/tex-archive/language/armtex/v2.0/
# NOTE: The sources included in this package might not match the one
# you get from the FTP site. This occasionally happens because the FTP
# site auto-generates the tar-ball. In such cases it is usually
# sufficient to gunzip the .tar.gz file and compare the tar-balls.
Source0:        ftp://ftp.dante.de/tex-archive/language/armtex/v2.0.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:       tetex-latex
Requires(post): tetex
Requires(postun): tetex
BuildArch:      noarch

%description 
ArmTeX adds support to TeX and LaTeX for typesetting text using the
Armenian script. It can be used with both OT6 and ArmSCII8 encodings.

The package includes bitmap fonts both with and without serifs.


%prep
%setup -q -n v2.0


%build


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{texmf}/tex/{latex,plain}/%{tdsname}
install -p -m 644 latex/* $RPM_BUILD_ROOT%{texmf}/tex/latex/%{tdsname}/
install -p -m 644 plain/* $RPM_BUILD_ROOT%{texmf}/tex/plain/%{tdsname}/

mkdir -p $RPM_BUILD_ROOT%{texmf}/fonts/{source,tfm}/%{fontpath}
install -p -m 644 mf/* $RPM_BUILD_ROOT%{texmf}/fonts/source/%{fontpath}/
install -p -m 644 tfm/* $RPM_BUILD_ROOT%{texmf}/fonts/tfm/%{fontpath}/


%clean
rm -rf $RPM_BUILD_ROOT


%post
/usr/bin/mktexlsr %{texmf}

%postun
/usr/bin/mktexlsr %{texmf}


%files
%defattr(-,root,root,-)
%doc readme.txt manual.ps examples
%{texmf}/tex/latex/%{tdsname}
%{texmf}/tex/plain/%{tdsname}
%{texmf}/fonts/source/%{fontpath}
%{texmf}/fonts/tfm/%{fontpath}


%changelog
* Wed Jun 16 2004 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:2.0-0.fdr.1
- Initial RPM release.
